Contenu | Rechercher | Menus

Annonce

Si vous rencontrez des soucis à rester connecté sur le forum (ou si vous avez perdu votre mot de passe) déconnectez-vous et reconnectez-vous depuis cette page, en cochant la case "Me connecter automatiquement lors de mes prochaines visites". Attention, le forum rencontre actuellement quelques difficultés. En cas d'erreur 502, il ne faut pas re-valider l'envoi d'un message ou l'ouverture d'une discussion, au risque de créer un doublon.

La section divers se réorganise ! De nouvelles sous-sections à venir. (plus d'infos + donner son avis)

#1 Le 21/10/2012, à 17:03

glondait

Tubemaster sur Ubuntu 12.10

Bonjour à tous.

J'ai basculé mon portable (CQ57) en 12.10 et, à ma grande surprise, tout fonctionne superbement bien sans trop mettre les mains dans le cambouis. Le seul "hic" est Tubemaster qui ne fonctionne plus depuis la mise à niveau. En gros, il se lance pendant une seconde et se referme aussitôt. Un fichier d'erreur est généré dans le repertoire du programme mais mes connaissances en Java sont assez limitées. J'ai l'impression que le Libpcap est le fautif. Voici le fichier log : Cliquez ici

Quelqu'un est il confronté au même souci ? Des solutions en vue ? (mise à jour de libpcap ?) Pour le moment, j'ai juste essayé d'installer le paquet oracle-java8-installer à la place du 7, mais rien n'y fait.

Merci.

Greg

Hors ligne

#2 Le 21/10/2012, à 18:20

bishop

Re : Tubemaster sur Ubuntu 12.10

Salut glondait !
Vérifie la version de libpcap sur la 12.10.
Sur la page Download TubeMaster++ for Linux tu as des liens pour libpcap et jpcap.
La version libpcap-1.3.0.tar.gz doit être compilée, par contre tu as un paquet tout prêt jpcap-0.7.deb.

Tu as un avertissement pour libpcap :

You must always be sure that "libjpcap.so" is in "/usr/lib" directory !

Après avoir compilé vérifie que libjpcap.so est bien dans /usr/lib car parfois quand tu compile des lib tu les retrouves dans /usr/local/lib. Dans ce cas il suffit de faire un lien symbolique vers /usr/lib.

Ajout : je viens de vérifier la version de libpcap sur la 12.10. C'est la version 0.8. C'est peut être la cause du problème. La version n'est pas assez récente.

Dernière modification par bishop (Le 17/04/2013, à 18:19)


Mon blog L'effet Papy Ion - | - Éditeur BBCode - | - Ma Bécane
Ma Bécane alimentée par Trusty 14.04 + additif VirtualBox > Mint 17 Mate | Portable LDLC Aurore : Trusty 14.04

Hors ligne

#3 Le 21/10/2012, à 20:47

glondait

Re : Tubemaster sur Ubuntu 12.10

En effet, ça serait libpcap qui serait le fautif :

# Problematic frame:
# C  [libpcap.so.0.8+0xd140]  pcap_stats+0x0

J'ai téléchargé libpcap-1.3.0, compilé (./configure, make, make install, c'est bien ça ?). Je me retrouve avec un fichier libpcap.so.1.3.0 dans /usr/local/lib . Même si je le copie dans /usr/lib, le message reste. D'ailleurs, le fichier libcap.so.0.8 n'est pas dans /usr/lib ...

Hors ligne

#4 Le 21/10/2012, à 21:08

bishop

Re : Tubemaster sur Ubuntu 12.10

D'après le message Tubemaster recherche libjpcap.so. Essaie :

sudo ln -s /usr/local/lib/libpcap.so.1.3.0 /usr/lib/libpcap.so

Mon blog L'effet Papy Ion - | - Éditeur BBCode - | - Ma Bécane
Ma Bécane alimentée par Trusty 14.04 + additif VirtualBox > Mint 17 Mate | Portable LDLC Aurore : Trusty 14.04

Hors ligne

#5 Le 21/10/2012, à 21:58

bishop

Re : Tubemaster sur Ubuntu 12.10

J'ai compilé libpcap-1.3.0, pas de problème mais jpcap ne s'installe pas. Il y a une une erreur de dépendance lorsque j'essaie d'installer jpcap-0.7.deb.


Mon blog L'effet Papy Ion - | - Éditeur BBCode - | - Ma Bécane
Ma Bécane alimentée par Trusty 14.04 + additif VirtualBox > Mint 17 Mate | Portable LDLC Aurore : Trusty 14.04

Hors ligne

#6 Le 16/04/2013, à 09:39

gusguslukifer

Re : Tubemaster sur Ubuntu 12.10

Bonjour,

Ce thread n'est pas si vieux et pourtant il ne semble pas avoir été résolu.

J'en suis exactement au même point :

Même erreur:
C  [libpcap.so.0.8+0xd140]  pcap_stats+0x0
Et Googler celle-ci ne renvoie quasiment que sur cette page.

Je confirme avoir fait les étapes d'installation suivantes :
- Installation de java (jre jdk etc.) Mais j'ai beaucoup de versions qui coexistent et ça pourrait être une source de problème (JAVA_PATH mal configuré ?)

- (Ré)Installation de LibPCap v0.8. J'ai l'impression qu'il y a une confusion dans les messages ci-dessus. Il semblerait que libpcap v1.3 soit la version du package, comme l'indique ce site qui semble à jour : http://pkgs.org/ubuntu-12.10/ubuntu-mai … 4.deb.html
Donc un sudo apt-get install libpcap0.8 devrait être une bonne installation en soit.

- Installation de JPcap : http://stackoverflow.com/questions/1242 … for-ubuntu en version 0.7 avec un package donc à priori encore clean. Et j'ai bien "libjpcap.so" dans "/usr/lib" comme demandé.

Que peut-il manquer alors ?  A noter que je suis en architecture 64bits, mais il est précisé que cela devrait fonctionner (d'ailleurs ça marche très bien sur windows !)

J'ai contacté l'éditeur du logiciel, si j'ai une réponse je la reporterai ici.

Merci d'avance

Hors ligne

#7 Le 16/04/2013, à 18:11

bishop

Re : Tubemaster sur Ubuntu 12.10

Installation sur Ubuntu Precise 12.10.

Installer libpcap0.8 :

sudo apt-get install libpcap0.8

Création de liens symboliques :

sudo ln -s/usr/lib/x86_64-linux-gnu/libpcap.so.1.1.1 /usr/lib/libpcap.so.1

S'il y a toujours un message d'erreur lors du lancement de Tubemaster++ :

sudo ln -s /usr/lib/x86_64-linux-gnu/libpcap.so.0.8 /usr/lib/libpcap.so

Téléchargement de jpcap-0.7-12.fc19.x86_64.rpm sur http://rpmfind.net/linux/rpm2html/searc … 2864bit%29 que j'ai convertit en deb avec alien.

sudo alien -d jpcap-0.7-12.fc19.x86_64.rpm
sudo chown 1000:1000 jpcap_0.7-13_amd64.deb

Installation de jpcap_0.7-13_amd64.deb :

sudo dpkg -i jpcap_0.7-13_amd64.deb && sudo apt-get install -f

Téléchargement de Tubemaster++ pour Linux sur http://www.tubemaster.net/down.html
Décompresser tm++.linux.tar.gz et créer un script comme indiqué dans la documentation ubuntu -fr : http://doc.ubuntu-fr.org/tubemaster.
Lancer Tubemaster++


À l'usage...
Il faut lancer Tubemaster++ avec les droits administrateur. Pour un soft de cette nature c'est pas vraiment conseillé.
La recherche de vidéos est fonctionnelle et on peut lire les vidéos.
La recherche de mp3 ne renvoie rien.
Quand on peut télécharger une vidéo le fichier appartient à ROOT. Pas vraiment génial car il faut rendre les droits à l'utilisateur.
Je n'ai jamais pû télécharger complètement une vidéo.

Tubemaster++ est aujourd'hui complètement dépassé et il existe aujourd'hui des softs bien plus intéressant, plus simple d'utilisation et ne nécessitant pas les droit admin pour l'utilisation.


Mon blog L'effet Papy Ion - | - Éditeur BBCode - | - Ma Bécane
Ma Bécane alimentée par Trusty 14.04 + additif VirtualBox > Mint 17 Mate | Portable LDLC Aurore : Trusty 14.04

Hors ligne

Haut de page ↑